apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "passit.fullname" . }}
  labels:
    {{- include "passit.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": post-install,pre-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation,hook-succeeded
    checksum/secret: {{ include (print $.Template.BasePath "/secrets.yaml") . | sha256sum }}
    checksum/configmap: {{ include (print $.Template.BasePath "/configmap.yaml") . | sha256sum }}
    tag: {{ .Values.image.tag }}
spec:
  activeDeadlineSeconds: 300
  template:
    spec:
      restartPolicy: Never
      containers:
      - name: pre-install-job
        image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
        command: ["./manage.py","migrate"]
        env:
          - name: DEBUG
            value: "False"
        envFrom:
          - secretRef:
              name: {{ include "passit.fullname" . }}
          - configMapRef:
              name: {{ include "passit.fullname" . }}
